Subject: About pine 3.95

From: "Marcelo N. Halpern" <[email-masked]>
Date: Tue, 17 Dec 1996 00:49:16 -0500 (EST)

Hi,
I just finished compiling Pine3.95 on my linux system. I have encountered a few
problems that hopefully you will be able to help me with (or forward this
message to the rigth address).
What I'm trying to do is to connect to an IMAP server (on a UNIX box) using
pine3.95(*nix, too). The problem that I have is that UNIX-pine will not let me
set the user-id to the user-id on the machine where I keep the mail: ie my
usename on this machine is "mhalpern", and my username on the linux system is
"mnh". I understand that 1) Pine gives me the option of changing the user-id
when it connects to the mailserver, but I also have to enter my
username/password _every_ time I go to to a different folder, and this becomes
rather anoying after 3 or 4 times; and 2) Being able to do that (overriding the
passwd file) could be a security problem, but as I said, it's rather annoying to
have to login 3 or 4 times to be able to read my mail...
I have traced this down to pine/init.c and changed the entries to:

#if defined(DOS) || defined(OS2)
                        /* Have to have this on DOS, PC's, Macs, etc... */
{"user-id",                    0, 1, 0, 1, 0, 0, 0,
#else                   /* Don't allow on UNIX machines for some security */
{"user-id",                    0, 1, 0, 1, 0, 0, 0,
#endif				       /^\
				        |

but that doesn't seem to change anything (Well, it gives me the entry user-id
under Main/Setup/Config, but still the same problem connecting with a different
user-id). Is there anything I'm doing wrong? How can I set this up???

The second (minor) question that I have is: is there any way to _disable_ the
rsh connection to the server? I know it's not as secure, but my mail server is
not running any of the r* commands, so the rest of my *NIX machines on the
network time out trying to connect to it, and then they connect over the
standar IMAP port, wich delays the connection a few seconds... anything that I
can do about it, besides setting up rsh-imapd on the other side? Security is not
a big problem here, the mail machine is bechind a firewall, and so are the rest
of the *NIX machines on the network....

Thank you very much,

--Nico Halpern.
__________________________________________________________________________
On ne voit bien qu'avec le coeur. L'essentiel est invisible pour les yeux. 
                                                  Antoine de Saint-Exupery